Package com.collibra.dgc.core.api.dto.diagram

# Class AddDiagramPictureRequest

Object
AddDiagramPictureRequest

All Implemented Interfaces:
  `Serializable`

public class AddDiagramPictureRequest extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddDiagramPictureRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddDiagramPictureRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddDiagramPictureRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  Required. The ID of the Asset for which the picture should be taken.
  `UUID`
  `getViewId()`
  Required. The ID of the View for which the picture should be taken.
  `int`
  `hashCode()`
  `static AddDiagramPictureRequest.Builder`
  `newBuilder()`
  Deprecated.
  This method will be removed in the future.
  `void`
  `setAssetId(UUID assetId)`
  Required. The ID of the Asset for which the picture should be taken.
  `void`
  `setViewId(UUID viewId)`
  Required. The ID of the View for which the picture should be taken.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddDiagramPictureRequest

    public AddDiagramPictureRequest()

- ## Method Details

  - ### newBuilder

    @Deprecated public static AddDiagramPictureRequest.Builder newBuilder()
    Deprecated.
    This method will be removed in the future. Please use `builder()`

  - ### builder

    public static AddDiagramPictureRequest.Builder builder()

  - ### getAssetId

    public UUID getAssetId()
    Required. The ID of the Asset for which the picture should be taken.

  - ### getViewId

    public UUID getViewId()
    Required. The ID of the View for which the picture should be taken.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    Required. The ID of the Asset for which the picture should be taken.

  - ### setViewId

    public void setViewId(UUID viewId)
    Required. The ID of the View for which the picture should be taken.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`